Appearance
GET
/config/return-reason/return-reasons/{returnReasonId}Required scope:
viskan:returnreason:readGet a return reason by its unique identifier.
Parameters
Path parameters
returnReasonId integerThe unique identifier of the return reason to get.
Response
The response contains the return reason.
JSON
{
"reasonId": 12345,
"reasonCode": "...",
"reasonDesc": "...",
"reasonType": "...",
"active": true,
"requiresReview": true,
"increaseStock": true,
"daysToReturn": 12345,
"penaltyArticleId": 12345,
"completeReturn": true,
"telemarketingCredit": true,
"deactivateSubscription": true,
"cancellationReasonId": 12345,
"translations": [
{
"languageId": 12345,
"description": "..."
}
],
"defaults": [
{
"returnReasonDefaultId": 12345,
"countryId": 12345,
"wayOfDeliveryId": 12345,
"returnFee": 199.99,
"clearShippingFee": true,
"clearPaymentFee": true,
"clearServiceFee": true,
"clearRounding": true,
"clearDiscount": true,
"clearAmountClaim": true,
"clearQuantity": true
}
],
"entries": [
{
"entryId": 12345
}
]
}
| Error code | Description |
|---|---|
return-reason-not-found | The return reason with the given ID was not found. |